<h1 mat-dialog-title class="mat-typography">Upload a logfile</h1>

<div mat-dialog-content class="mat-typography">
  <p>The logfiles will be private to participants.</p>

  <p>Any member of the participant Organization will be able to see them.</p>

  <p><strong>Owner:</strong> {{ownerList[owner].name}}</p>

  <div *ngIf="logfile">
    <p class="error" *ngIf="!isLogfileValid; else sizeOk">
      <strong>File size:</strong> {{logfile.size | ignFileSize }}. Please upload logfiles smaller than 800 MB.
    </p>

    <ng-template #sizeOk>
      <p>
        <strong>File size:</strong> {{logfile.size | ignFileSize }}
      </p>
    </ng-template>
  </div>

  <form fxLayout="column" fxLayoutAlign="center start">

    <div fxLayout="row" fxLayoutAlign="space-between center" fxFill class="filename-container">
      <div class="filename">
        <span *ngIf="!logfile" class="placeholder">Logfile...</span>
        <span *ngIf="logfile && logfile['fullPath']">{{logfile['fullPath']}}</span>
        <span *ngIf="logfile && !logfile['fullPath']">{{logfile.name}}</span>
      </div>
      <div>
        <label for="browse-files">
          <a mat-raised-button color="primary">Load file</a>
        </label>
        <input type="file" id="browse-files" (change)="onFileInput($event)"/>
      </div>
    </div>

    <div class="action-buttons" fxLayoutAlign="space-between center" fxFill>
      <button mat-button (click)="cancel()">
        Cancel
      </button>

      <button mat-raised-button color="primary" (click)="upload()" [disabled]="!logfile || uploading || !isLogfileValid">
        Upload
      </button>
    </div>
  </form>
</div>
